1. pet
My Project
  • Start your Apidog journey
  • petstore
    • user
      • Get user by user name
      • Updated user
      • Delete user
      • Create user
      • Creates list of users with given input array
      • Creates list of users with given input array
      • Logs out current logged in user session
      • Logs user into the system
    • pet
      • Update an existing pet
        PUT
      • Add a new pet to the store
        POST
      • Find pet by ID
        GET
      • Updates a pet in the store with form data
        POST
      • Deletes a pet
        DELETE
      • uploads an image
        POST
      • Finds Pets by tags
        GET
      • Finds Pets by status
        GET
    • store
      • Place an order for a pet
      • Find purchase order by ID
      • Delete purchase order by ID
      • Returns pet inventories by status
  • Schemas
    • Sample Schemas
    • RequestBodies
    • Schemas
      • User
      • Category
      • Pet
      • Tag
      • Order
      • ModelApiResponse
  1. pet

Add a new pet to the store

POST
/v2/pet

Request

Query Params

Body Params application/json

Examples

Responses

🟠405405
Invalid input
This response does not have a body.
🟢200OK
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/v2/pet?apidogResponseId=25391191' \
--header 'Content-Type: application/json' \
--data-raw '{
    "id": 0,
    "category": {
        "id": 0,
        "name": "string"
    },
    "name": "doggie",
    "photoUrls": [
        "string"
    ],
    "tags": [
        {
            "id": 0,
            "name": "string"
        }
    ],
    "status": "available"
}'
Response Response Example
{
    "id": 0,
    "category": {
        "id": 0,
        "name": "string"
    },
    "name": "doggie",
    "photoUrls": [
        "string"
    ],
    "tags": [
        {
            "id": 0,
            "name": "string"
        }
    ],
    "status": "available"
}
Modified at 2025-06-17 05:44:24
Previous
Update an existing pet
Next
Find pet by ID
Built with